<?php
use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for AddRegionReq StructType
 * @subpackage Structs
 */
class AddRegionReq extends APIRequest
{
    /**
     * The region
     * @var XRegion
     */
    public $region;
    /**
     * Constructor method for AddRegionReq
     * @uses AddRegionReq::setRegion()
     * @param XRegion $region
     */
    public function __construct(XRegion $region = null)
    {
        $this
            ->setRegion($region);
    }
    /**
     * Get region value
     * @return XRegion|null
     */
    public function getRegion()
    {
        return $this->region;
    }
    /**
     * Set region value
     * @param XRegion $region
     * @return AddRegionReq
     */
    public function setRegion(XRegion $region = null)
    {
        $this->region = $region;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return AddRegionReq
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
